[Owasp-antisamy] Strange error: java.lang.NoClassDefFoundError: org.apache.batik.css.parser.ParseException

Jason Li jason.li at owasp.org
Wed Oct 20 09:30:26 EDT 2010


Erik,

I thought this information was on the site, but after looking myself I
see that list is NOT available anywhere on the page (nor is there a
non-deprecated version of the antisamy-required-libs.zip file).

We'll see what we can do to fix that.

For now, AntiSamy requires the following libs:
* Apache Xerces 2.8.1
* Apache Batik-CSS 1.7
* NekoHTML 1.9.12
* Apache Commons HTTP-Client 3.1
* JUnit 3.8.2 (for testing)

Hope that helps!

-Jason

On Oct 20, 2010, at 8:52 AM, Erik Bors <erik.bors at gmail.com> wrote:

Hello, i have downloaded the jar from
"http://www.owasp.org/index.php/Category:OWASP_AntiSamy_Project".
After including the jar file and the xml, i have got this error:

Exception in thread "AgentThread: JavaAgent"
java.lang.NoClassDefFoundError:
org.apache.batik.css.parser.ParseException
   at java.lang.J9VMInternals.verifyImpl(Native Method)
   at java.lang.J9VMInternals.verify(J9VMInternals.java:72)
   at java.lang.J9VMInternals.initialize(J9VMInternals.java:134)
   at org.owasp.validator.html.AntiSamy.scan(AntiSamy.java:107)


there is no information about including some org.apache jars. How
could i fix it? Thanx.

S pozdravem / MfG / Best Regards / Amicalement

Erik Borš
_______________________________________________
Owasp-antisamy mailing list
Owasp-antisamy at lists.owasp.org
https://lists.owasp.org/mailman/listinfo/owasp-antisamy


More information about the Owasp-antisamy mailing list